Back to TikTok
Apify·TikTok

TikTok API

/scraptik/tiktok-apiasync$0.005 / call

Apify’s LOWEST-COST TikTok Scraper ($0.002/request). Access the TikTok mobile API for user, posts, sounds, search, comments, followers, and more. Unlock TikTok data at scale. Have custom needs? Visit scraptik.com to get in touch. Runs as an Apify actor (20–120 s); results are dataset rows.

Input
  • profile_usernamestring

    Enter one TikTok username (without the @ symbol). Example: 'katyperry' (default "")

  • profile_userIdstring

    User ID used for identifying a TikTok account. Example: 131256363632148480 (default "")

  • profile_secUserIdstring

    Secondary user ID used by TikTok for user identification. Example: MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM (default "")

  • profile_regionstring

    Optional 2-letter code for region (which might affect the data that appears). Defaults to 'GB' (default "GB")

  • usernameToId_usernamestring

    Get the user ID from the username. You'll use this ID for most requests. Example: 'katyperry' (default "")

  • followers_userIdstring

    User ID to fetch followers for. Example: 131256363632148480 (default "")

  • followers_secUserIdstring

    Secondary user ID used by TikTok for user identification. Example: MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM (default "")

  • followers_countinteger

    Number of followers to retrieve. Default is 10. (default 10)

  • followers_maxTimeinteger

    Pagination cursor. Use the 'min_time' value from the previous response to fetch more results. (default 0)

  • following_userIdstring

    User ID to fetch followings for. Example: 131256363632148480 (default "")

  • following_secUserIdstring

    Optional secondary user ID. Example: MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM (default "")

  • following_countinteger

    Number of followings to retrieve. Default is 10. (default 10)

  • following_maxTimeinteger

    Pagination cursor. Use the 'min_time' value from the previous response to fetch more results. (default 0)

  • post_awemeIdstring

    The ID of the TikTok video post to retrieve. Example: 6811123699203329285 (default "")

  • post_regionstring

    Optional 2-letter code for region (which might affect the data that appears). Defaults to 'GB' (default "GB")

  • userPosts_userIdstring

    User ID whose posts should be retrieved. Example: 6546356850533602319 (default "")

  • userPosts_secUserIdstring

    Optional secondary user ID. Example: MS4wLjABAAAAv7iSuuXDJGDvJkmH_vz1qkDZYo1apxgzaxdBSeIuPiM (default "")

  • userPosts_countinteger

    Number of posts to retrieve. Default is 10. (default 10)

  • userPosts_regionstring

    Optional 2-letter code for region (which might affect the data that appears). Defaults to 'GB' (default "GB")

  • userPosts_maxCursorstring

    Pagination cursor for fetching next set of posts. (default "0")

  • music_idstring

    The ID of the TikTok music track to retrieve. Example: 6873491642666469377 (default "")

  • musicPosts_musicIdstring

    ID of the music to fetch associated video posts. Example: 7047667719411370758 (default "")

  • musicPosts_countinteger

    Number of posts to retrieve. Default is 18. (default 18)

  • musicPosts_cursorinteger

    Pagination cursor for loading additional results. (default 0)

  • challengePosts_cidstring

    Hashtag/Challenge ID used to fetch associated posts. Example: 1592380847102982 (default "")

  • challengePosts_countinteger

    Number of challenge posts to fetch. Default is 20. (default 20)

  • challengePosts_cursorinteger

    Pagination cursor to retrieve more results for a challenge. (default 0)

  • commentReplies_commentIdstring

    ID of the parent comment to fetch replies for. Example: 6999860547420766982 (default "")

  • commentReplies_awemeIdstring

    ID of the TikTok post containing the comment. Example: 6996617408010112262 (default "")

  • commentReplies_countinteger

    Number of replies to fetch. Default is 10. (default 10)

  • commentReplies_cursorinteger

    Pagination cursor to retrieve more comment replies. (default 0)

  • listComments_awemeIdstring

    ID of the TikTok post to fetch top-level comments for. Example: 6944028931875949829 (default "")

  • listComments_countinteger

    Number of top-level comments to fetch. Default is 10. (default 10)

  • listComments_cursorinteger

    Pagination cursor to retrieve more top-level comments. (default 0)

  • userLikes_userIdstring

    User ID whose liked posts should be retrieved. Example: 6546356850533602319 (default "")

  • userLikes_countinteger

    Number of liked posts to retrieve. Default is 10. (default 10)

  • userLikes_maxCursorstring

    Pagination cursor for fetching additional liked posts. (default "0")

  • searchUsers_keywordstring

    Search for users by keyword. Example: 'japan' (default "")

  • searchUsers_countinteger

    Number of users to retrieve. Default is 20. (default 20)

  • searchUsers_cursorinteger

    Pagination cursor to retrieve more users. (default 0)

  • searchPosts_keywordstring

    Search for posts by keyword. Example: 'nike' (default "")

  • searchPosts_countinteger

    Number of posts to retrieve. Default is 10. (default 10)

  • searchPosts_offsetinteger

    Offset for pagination. Default is 0. (default 0)

  • searchPosts_regionstring

    Optional 2-letter code for region (which might affect the data that appears). Defaults to 'GB' (default "GB")

  • searchPosts_publishTimeinteger

    Publish time for filtering posts. Default is 0. 0 = All Time, 1 = Yesterday, 7 = This Week, 30 = This Month, 90 = Last 3 Months, 180 = Last 6 Months (default 0)

  • searchPosts_sortTypeinteger

    Sort type for filtering posts. Default is 0. 0 = Relevance, 1 = Most Liked, 3 = Date (default 0)

  • searchSounds_keywordstring

    Search for sounds by keyword. Example: 'japan' (default "")

  • searchSounds_countinteger

    Number of sounds to retrieve. Default is 10. (default 10)

  • searchSounds_cursorinteger

    Pagination cursor to retrieve more sounds. (default 0)

  • searchSounds_regionstring

    Optional 2-letter code for region (which might affect the data that appears). Defaults to 'GB' (default "GB")

  • searchSounds_useFiltersboolean

    Whether to use filters. Default is false. 0 is no, 1 is yes. (default false)

  • searchSounds_filterByinteger

    Filter by. Default is 0. 0 = All, 1 = Title, 2 = Creators (default 0)

  • searchSounds_sortTypeinteger

    Sort type for filtering sounds. Default is 0. 0 = Relevance, 1 = Most used, 2 = Most recent, 3 = Shortest, 4 = Longest (default 0)

  • searchHashtags_keywordstring

    Search for hashtags by keyword. Example: 'japan' (default "")

  • searchHashtags_countinteger

    Number of hashtags to retrieve. Default is 20. (default 20)

  • searchHashtags_regionstring

    Optional 2-letter code for region (which might affect the data that appears). Defaults to 'GB' (default "GB")

  • searchHashtags_cursorinteger

    Pagination cursor to retrieve more hashtags. (default 0)

  • searchLives_keywordstring

    Search for lives by keyword. Example: 'tiktok' (default "")

  • searchLives_countinteger

    Number of lives to retrieve. Default is 20. (default 20)

  • searchLives_offsetinteger

    Offset for pagination. Default is 0. (default 0)

  • videoWithoutWatermark_awemeIdstring

    Get the video without watermark. Example: 6811123699203329285 (default "")

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/scraptik/tiktok-api","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.